/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#ifndef CHECKSUM_H
#define CHECKSUM_H

/**
 * @brief generate an IP style checksum
 * @param[in] ptr pointer to data
 * @param[in] sz size of data
 * @param[in] pseudo1 additional value to include - set to 0 if not needed
 * @param[in] preude2 additional value to include - set to 0 if not needed
 *
 * can also be used to check a checksum (returns 0 if correct)
 */
unsigned short checksum(void *ptr, unsigned int sz,
                        unsigned short pseudo1, unsigned short pseudo2);

#endif // #ifdef CHECKSUM_H

